Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/HiveExperimentPermissionListView.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/HiveExperimentPermissionListView.cs	(revision 6768)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/HiveExperimentPermissionListView.cs	(revision 6791)
@@ -34,8 +34,9 @@
       get { return hiveExperimentId; }
       set { hiveExperimentId = value; }
-    }    
+    }
 
     public HiveExperimentPermissionListView() {
       InitializeComponent();
+      itemsGroupBox.Text = "Permissions";
     }
 
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/HiveExperimentPermissionView.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/HiveExperimentPermissionView.Designer.cs	(revision 6768)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/HiveExperimentPermissionView.Designer.cs	(revision 6791)
@@ -48,7 +48,7 @@
       this.permissionLabel.Location = new System.Drawing.Point(4, 57);
       this.permissionLabel.Name = "permissionLabel";
-      this.permissionLabel.Size = new System.Drawing.Size(57, 13);
+      this.permissionLabel.Size = new System.Drawing.Size(60, 13);
       this.permissionLabel.TabIndex = 2;
-      this.permissionLabel.Text = "Permission";
+      this.permissionLabel.Text = "Permission:";
       // 
       // usernameTextBox
@@ -56,10 +56,9 @@
       this.usernameTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.usernameTextBox.Location = new System.Drawing.Point(67, 28);
+      this.usernameTextBox.Location = new System.Drawing.Point(70, 28);
       this.usernameTextBox.Name = "usernameTextBox";
-      this.usernameTextBox.Size = new System.Drawing.Size(284, 20);
+      this.usernameTextBox.Size = new System.Drawing.Size(281, 20);
       this.usernameTextBox.TabIndex = 3;
       this.usernameTextBox.Validated += new System.EventHandler(this.usernameTextBox_Validated);
-      this.usernameTextBox.Validating += new System.ComponentModel.CancelEventHandler(usernameTextBox_Validating);
       // 
       // permissionComboBox
@@ -67,12 +66,11 @@
       this.permissionComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
+      this.permissionComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
       this.permissionComboBox.FormattingEnabled = true;
-      this.permissionComboBox.Location = new System.Drawing.Point(67, 54);
+      this.permissionComboBox.Location = new System.Drawing.Point(70, 54);
       this.permissionComboBox.Name = "permissionComboBox";
-      this.permissionComboBox.Size = new System.Drawing.Size(284, 21);
-      this.permissionComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+      this.permissionComboBox.Size = new System.Drawing.Size(281, 21);
       this.permissionComboBox.TabIndex = 4;
       this.permissionComboBox.Validated += new System.EventHandler(this.permissionComboBox_Validated);
-      this.permissionComboBox.Validating += new System.ComponentModel.CancelEventHandler(permissionComboBox_Validating);
       // 
       // HiveExperimentPermissionView
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/HiveExperimentPermissionView.resx
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/HiveExperimentPermissionView.resx	(revision 6768)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/HiveExperimentPermissionView.resx	(revision 6791)
@@ -121,6 +121,3 @@
     <value>17, 17</value>
   </metadata>
-  <metadata name="toolTip.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
-    <value>17, 17</value>
-  </metadata>
 </root>
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/RefreshableHiveExperimentListView.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/RefreshableHiveExperimentListView.cs	(revision 6768)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/RefreshableHiveExperimentListView.cs	(revision 6791)
@@ -22,6 +22,6 @@
 using System;
 using System.Windows.Forms;
+using HeuristicLab.Collections;
 using HeuristicLab.Core;
-using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
 
@@ -29,12 +29,16 @@
   [View("HiveExperimentList View")]
   [Content(typeof(ItemCollection<RefreshableJob>), false)]
-  public partial class RefreshableHiveExperimentListView : ItemCollectionView<RefreshableJob> {
+  public partial class RefreshableHiveExperimentListView : HeuristicLab.Core.Views.ItemCollectionView<RefreshableJob> {
 
     public RefreshableHiveExperimentListView() {
       InitializeComponent();
+      itemsGroupBox.Text = "Jobs";
       this.itemsListView.View = View.Details;
       this.itemsListView.Columns.Clear();
       this.itemsListView.Columns.Add(new ColumnHeader("Date") { Text = "Date" });
       this.itemsListView.Columns.Add(new ColumnHeader("Name") { Text = "Name" });
+      foreach (ColumnHeader c in this.itemsListView.Columns) {
+        c.AutoResize(ColumnHeaderAutoResizeStyle.HeaderSize);
+      }
       this.itemsListView.HeaderStyle = ColumnHeaderStyle.Clickable;
       this.itemsListView.FullRowSelect = true;
@@ -56,5 +60,16 @@
     protected override void Content_ItemsAdded(object sender, Collections.CollectionItemsChangedEventArgs<RefreshableJob> e) {
       base.Content_ItemsAdded(sender, e);
+      foreach (ColumnHeader c in this.itemsListView.Columns) {
+        c.AutoResize(ColumnHeaderAutoResizeStyle.ColumnContent);
+      }
+    }
 
+    protected override void Content_ItemsRemoved(object sender, CollectionItemsChangedEventArgs<RefreshableJob> e) {
+      base.Content_ItemsRemoved(sender, e);
+      if (Content != null && Content.Count == 0) {
+        foreach (ColumnHeader c in this.itemsListView.Columns) {
+          c.AutoResize(ColumnHeaderAutoResizeStyle.HeaderSize);
+        }
+      }
     }
 
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/RefreshableHiveExperimentView.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/RefreshableHiveExperimentView.Designer.cs	(revision 6768)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/RefreshableHiveExperimentView.Designer.cs	(revision 6791)
@@ -1,26 +1,3 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using HeuristicLab.Clients.Hive.Views.ExperimentManager;
-using HeuristicLab.MainForm.WindowsForms;
-namespace HeuristicLab.Clients.Hive.ExperimentManager.Views {
+﻿namespace HeuristicLab.Clients.Hive.ExperimentManager.Views {
   partial class RefreshableHiveExperimentView {
     /// <summary> 
@@ -50,11 +27,12 @@
       System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(RefreshableHiveExperimentView));
       this.tabControl = new System.Windows.Forms.TabControl();
-      this.jobsTabPage = new System.Windows.Forms.TabPage();
+      this.tasksTabPage = new System.Windows.Forms.TabPage();
       this.jobsTreeView = new HeuristicLab.Clients.Hive.Views.ExperimentManager.HiveTaskItemTreeView();
+      this.permissionTabPage = new System.Windows.Forms.TabPage();
+      this.refreshPermissionsButton = new System.Windows.Forms.Button();
+      this.hiveExperimentPermissionListView = new HeuristicLab.Clients.Hive.ExperimentManager.Views.HiveExperimentPermissionListView();
+      this.runsTabPage = new System.Windows.Forms.TabPage();
       this.stateTabPage = new System.Windows.Forms.TabPage();
       this.stateLogViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
-      this.sharingTabPage = new System.Windows.Forms.TabPage();
-      this.refreshPermissionsButton = new System.Windows.Forms.Button();
-      this.hiveExperimentPermissionListView = new HeuristicLab.Clients.Hive.ExperimentManager.Views.HiveExperimentPermissionListView();
       this.logTabPage = new System.Windows.Forms.TabPage();
       this.logView = new HeuristicLab.Core.Views.LogView();
@@ -81,7 +59,7 @@
       this.jobsLabel = new System.Windows.Forms.Label();
       this.tabControl.SuspendLayout();
-      this.jobsTabPage.SuspendLayout();
+      this.tasksTabPage.SuspendLayout();
+      this.permissionTabPage.SuspendLayout();
       this.stateTabPage.SuspendLayout();
-      this.sharingTabPage.SuspendLayout();
       this.logTabPage.SuspendLayout();
       this.infoGroupBox.SuspendLayout();
@@ -93,7 +71,8 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.tabControl.Controls.Add(this.jobsTabPage);
+      this.tabControl.Controls.Add(this.tasksTabPage);
+      this.tabControl.Controls.Add(this.permissionTabPage);
+      this.tabControl.Controls.Add(this.runsTabPage);
       this.tabControl.Controls.Add(this.stateTabPage);
-      this.tabControl.Controls.Add(this.sharingTabPage);
       this.tabControl.Controls.Add(this.logTabPage);
       this.tabControl.Location = new System.Drawing.Point(0, 78);
@@ -104,13 +83,13 @@
       this.tabControl.SelectedIndexChanged += new System.EventHandler(this.tabControl_SelectedIndexChanged);
       // 
-      // jobsTabPage
-      // 
-      this.jobsTabPage.Controls.Add(this.jobsTreeView);
-      this.jobsTabPage.Location = new System.Drawing.Point(4, 22);
-      this.jobsTabPage.Name = "jobsTabPage";
-      this.jobsTabPage.Size = new System.Drawing.Size(709, 426);
-      this.jobsTabPage.TabIndex = 5;
-      this.jobsTabPage.Text = "Jobs";
-      this.jobsTabPage.UseVisualStyleBackColor = true;
+      // tasksTabPage
+      // 
+      this.tasksTabPage.Controls.Add(this.jobsTreeView);
+      this.tasksTabPage.Location = new System.Drawing.Point(4, 22);
+      this.tasksTabPage.Name = "tasksTabPage";
+      this.tasksTabPage.Size = new System.Drawing.Size(709, 426);
+      this.tasksTabPage.TabIndex = 5;
+      this.tasksTabPage.Text = "Tasks";
+      this.tasksTabPage.UseVisualStyleBackColor = true;
       // 
       // jobsTreeView
@@ -131,38 +110,14 @@
       this.jobsTreeView.DragOver += new System.Windows.Forms.DragEventHandler(this.jobsTreeView_DragOver);
       // 
-      // stateTabPage
-      // 
-      this.stateTabPage.Controls.Add(this.stateLogViewHost);
-      this.stateTabPage.Location = new System.Drawing.Point(4, 22);
-      this.stateTabPage.Name = "stateTabPage";
-      this.stateTabPage.Size = new System.Drawing.Size(709, 426);
-      this.stateTabPage.TabIndex = 6;
-      this.stateTabPage.Text = "States";
-      this.stateTabPage.UseVisualStyleBackColor = true;
-      // 
-      // stateLogViewHost
-      // 
-      this.stateLogViewHost.Caption = "StateLog View";
-      this.stateLogViewHost.Content = null;
-      this.stateLogViewHost.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.stateLogViewHost.Enabled = false;
-      this.stateLogViewHost.Location = new System.Drawing.Point(0, 0);
-      this.stateLogViewHost.Name = "stateLogViewHost";
-      this.stateLogViewHost.ReadOnly = false;
-      this.stateLogViewHost.Size = new System.Drawing.Size(709, 426);
-      this.stateLogViewHost.TabIndex = 0;
-      this.stateLogViewHost.ViewsLabelVisible = true;
-      this.stateLogViewHost.ViewType = null;
-      // 
-      // sharingTabPage
-      // 
-      this.sharingTabPage.Controls.Add(this.refreshPermissionsButton);
-      this.sharingTabPage.Controls.Add(this.hiveExperimentPermissionListView);
-      this.sharingTabPage.Location = new System.Drawing.Point(4, 22);
-      this.sharingTabPage.Name = "sharingTabPage";
-      this.sharingTabPage.Size = new System.Drawing.Size(709, 426);
-      this.sharingTabPage.TabIndex = 7;
-      this.sharingTabPage.Text = "Sharing";
-      this.sharingTabPage.UseVisualStyleBackColor = true;
+      // permissionTabPage
+      // 
+      this.permissionTabPage.Controls.Add(this.refreshPermissionsButton);
+      this.permissionTabPage.Controls.Add(this.hiveExperimentPermissionListView);
+      this.permissionTabPage.Location = new System.Drawing.Point(4, 22);
+      this.permissionTabPage.Name = "permissionTabPage";
+      this.permissionTabPage.Size = new System.Drawing.Size(709, 426);
+      this.permissionTabPage.TabIndex = 7;
+      this.permissionTabPage.Text = "Permissions";
+      this.permissionTabPage.UseVisualStyleBackColor = true;
       // 
       // refreshPermissionsButton
@@ -188,6 +143,43 @@
       this.hiveExperimentPermissionListView.Name = "hiveExperimentPermissionListView";
       this.hiveExperimentPermissionListView.ReadOnly = false;
+      this.hiveExperimentPermissionListView.ShowDetails = true;
       this.hiveExperimentPermissionListView.Size = new System.Drawing.Size(703, 390);
       this.hiveExperimentPermissionListView.TabIndex = 0;
+      // 
+      // runsTabPage
+      // 
+      this.runsTabPage.Location = new System.Drawing.Point(4, 22);
+      this.runsTabPage.Name = "runsTabPage";
+      this.runsTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.runsTabPage.Size = new System.Drawing.Size(709, 426);
+      this.runsTabPage.TabIndex = 8;
+      this.runsTabPage.Text = "Runs";
+      this.runsTabPage.UseVisualStyleBackColor = true;
+      // 
+      // stateTabPage
+      // 
+      this.stateTabPage.Controls.Add(this.stateLogViewHost);
+      this.stateTabPage.Location = new System.Drawing.Point(4, 22);
+      this.stateTabPage.Name = "stateTabPage";
+      this.stateTabPage.Size = new System.Drawing.Size(709, 426);
+      this.stateTabPage.TabIndex = 6;
+      this.stateTabPage.Text = "Execution History";
+      this.stateTabPage.UseVisualStyleBackColor = true;
+      // 
+      // stateLogViewHost
+      // 
+      this.stateLogViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.stateLogViewHost.Caption = "StateLog View";
+      this.stateLogViewHost.Content = null;
+      this.stateLogViewHost.Enabled = false;
+      this.stateLogViewHost.Location = new System.Drawing.Point(3, 3);
+      this.stateLogViewHost.Name = "stateLogViewHost";
+      this.stateLogViewHost.ReadOnly = false;
+      this.stateLogViewHost.Size = new System.Drawing.Size(703, 420);
+      this.stateLogViewHost.TabIndex = 0;
+      this.stateLogViewHost.ViewsLabelVisible = true;
+      this.stateLogViewHost.ViewType = null;
       // 
       // logTabPage
@@ -203,11 +195,13 @@
       // logView
       // 
+      this.logView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.logView.Caption = "Log View";
       this.logView.Content = null;
-      this.logView.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.logView.Location = new System.Drawing.Point(0, 0);
+      this.logView.Location = new System.Drawing.Point(3, 3);
       this.logView.Name = "logView";
       this.logView.ReadOnly = false;
-      this.logView.Size = new System.Drawing.Size(709, 426);
+      this.logView.Size = new System.Drawing.Size(703, 420);
       this.logView.TabIndex = 0;
       // 
@@ -284,9 +278,9 @@
       // 
       this.resourceIdsLabel.AutoSize = true;
-      this.resourceIdsLabel.Location = new System.Drawing.Point(4, 56);
+      this.resourceIdsLabel.Location = new System.Drawing.Point(3, 56);
       this.resourceIdsLabel.Name = "resourceIdsLabel";
-      this.resourceIdsLabel.Size = new System.Drawing.Size(70, 13);
+      this.resourceIdsLabel.Size = new System.Drawing.Size(61, 13);
       this.resourceIdsLabel.TabIndex = 12;
-      this.resourceIdsLabel.Text = "ResourceIds:";
+      this.resourceIdsLabel.Text = "Resources:";
       // 
       // resourceNamesTextBox
@@ -294,5 +288,5 @@
       this.resourceNamesTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.resourceNamesTextBox.Location = new System.Drawing.Point(73, 53);
+      this.resourceNamesTextBox.Location = new System.Drawing.Point(70, 52);
       this.resourceNamesTextBox.Name = "resourceNamesTextBox";
       this.resourceNamesTextBox.Size = new System.Drawing.Size(415, 20);
@@ -303,5 +297,5 @@
       // 
       this.nameLabel.AutoSize = true;
-      this.nameLabel.Location = new System.Drawing.Point(1, 27);
+      this.nameLabel.Location = new System.Drawing.Point(3, 30);
       this.nameLabel.Name = "nameLabel";
       this.nameLabel.Size = new System.Drawing.Size(38, 13);
@@ -313,5 +307,5 @@
       this.nameTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.nameTextBox.Location = new System.Drawing.Point(73, 27);
+      this.nameTextBox.Location = new System.Drawing.Point(70, 27);
       this.nameTextBox.Name = "nameTextBox";
       this.nameTextBox.Size = new System.Drawing.Size(501, 20);
@@ -334,9 +328,9 @@
       this.isPrivilegedCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
       this.isPrivilegedCheckBox.AutoSize = true;
-      this.isPrivilegedCheckBox.Location = new System.Drawing.Point(494, 55);
+      this.isPrivilegedCheckBox.Location = new System.Drawing.Point(491, 53);
       this.isPrivilegedCheckBox.Name = "isPrivilegedCheckBox";
-      this.isPrivilegedCheckBox.Size = new System.Drawing.Size(80, 17);
+      this.isPrivilegedCheckBox.Size = new System.Drawing.Size(72, 17);
       this.isPrivilegedCheckBox.TabIndex = 26;
-      this.isPrivilegedCheckBox.Text = "IsPrivileged";
+      this.isPrivilegedCheckBox.Text = "Privileged";
       this.toolTip.SetToolTip(this.isPrivilegedCheckBox, "If checked, the task will be executed in a privileged sandbox on the slave.");
       this.isPrivilegedCheckBox.UseVisualStyleBackColor = true;
@@ -348,7 +342,7 @@
       this.refreshAutomaticallyCheckBox.Location = new System.Drawing.Point(30, 5);
       this.refreshAutomaticallyCheckBox.Name = "refreshAutomaticallyCheckBox";
-      this.refreshAutomaticallyCheckBox.Size = new System.Drawing.Size(128, 17);
+      this.refreshAutomaticallyCheckBox.Size = new System.Drawing.Size(127, 17);
       this.refreshAutomaticallyCheckBox.TabIndex = 24;
-      this.refreshAutomaticallyCheckBox.Text = "&Refresh Automatically";
+      this.refreshAutomaticallyCheckBox.Text = "&Refresh automatically";
       this.refreshAutomaticallyCheckBox.UseVisualStyleBackColor = true;
       this.refreshAutomaticallyCheckBox.Validated += new System.EventHandler(this.refreshAutomaticallyCheckBox_Validated);
@@ -368,5 +362,5 @@
       this.infoGroupBox.TabIndex = 25;
       this.infoGroupBox.TabStop = false;
-      this.infoGroupBox.Text = "Info";
+      this.infoGroupBox.Text = "Tasks";
       // 
       // finishedTextBox
@@ -420,7 +414,7 @@
       this.jobsLabel.Location = new System.Drawing.Point(6, 19);
       this.jobsLabel.Name = "jobsLabel";
-      this.jobsLabel.Size = new System.Drawing.Size(32, 13);
+      this.jobsLabel.Size = new System.Drawing.Size(46, 13);
       this.jobsLabel.TabIndex = 0;
-      this.jobsLabel.Text = "Jobs:";
+      this.jobsLabel.Text = "Waiting:";
       // 
       // RefreshableHiveExperimentView
@@ -446,7 +440,7 @@
       this.Size = new System.Drawing.Size(717, 560);
       this.tabControl.ResumeLayout(false);
-      this.jobsTabPage.ResumeLayout(false);
+      this.tasksTabPage.ResumeLayout(false);
+      this.permissionTabPage.ResumeLayout(false);
       this.stateTabPage.ResumeLayout(false);
-      this.sharingTabPage.ResumeLayout(false);
       this.logTabPage.ResumeLayout(false);
       this.infoGroupBox.ResumeLayout(false);
@@ -469,6 +463,6 @@
     private System.Windows.Forms.TabPage logTabPage;
     private Core.Views.LogView logView;
-    private System.Windows.Forms.TabPage jobsTabPage;
-    private HiveTaskItemTreeView jobsTreeView;
+    private System.Windows.Forms.TabPage tasksTabPage;
+    private HeuristicLab.Clients.Hive.Views.ExperimentManager.HiveTaskItemTreeView jobsTreeView;
     private System.Windows.Forms.Label nameLabel;
     private System.Windows.Forms.TextBox nameTextBox;
@@ -485,8 +479,9 @@
     private System.Windows.Forms.CheckBox isPrivilegedCheckBox;
     private System.Windows.Forms.TabPage stateTabPage;
-    private ViewHost stateLogViewHost;
-    private System.Windows.Forms.TabPage sharingTabPage;
+    private HeuristicLab.MainForm.WindowsForms.ViewHost stateLogViewHost;
+    private System.Windows.Forms.TabPage permissionTabPage;
     private HiveExperimentPermissionListView hiveExperimentPermissionListView;
     private System.Windows.Forms.Button refreshPermissionsButton;
+    private System.Windows.Forms.TabPage runsTabPage;
 
   }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/RefreshableHiveExperimentView.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/RefreshableHiveExperimentView.cs	(revision 6768)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.ExperimentManager/3.3/Views/RefreshableHiveExperimentView.cs	(revision 6791)
@@ -40,5 +40,5 @@
   [View("Hive Experiment View")]
   [Content(typeof(RefreshableJob), true)]
-  public sealed partial class RefreshableHiveExperimentView : ItemView {
+  public partial class RefreshableHiveExperimentView : HeuristicLab.Core.Views.ItemView {
     private ProgressView progressView;
 
@@ -87,5 +87,5 @@
       Content.Job.PropertyChanged += new PropertyChangedEventHandler(HiveExperiment_PropertyChanged);
     }
-    
+
     private void DeregisterHiveExperimentEvents() {
       Content.Job.PropertyChanged -= new PropertyChangedEventHandler(HiveExperiment_PropertyChanged);
@@ -253,5 +253,5 @@
       else {
         if (Content != null) {
-          jobsTextBox.Text = Content.Job.JobCount.ToString();
+          jobsTextBox.Text = (Content.Job.JobCount - Content.Job.CalculatingCount - Content.Job.FinishedCount).ToString();
           calculatingTextBox.Text = Content.Job.CalculatingCount.ToString();
           finishedTextBox.Text = Content.Job.FinishedCount.ToString();
@@ -291,5 +291,5 @@
 
     private void HiveExperiment_PropertyChanged(object sender, PropertyChangedEventArgs e) {
-      if(this.Content != null && e.PropertyName == "Id") this.hiveExperimentPermissionListView.HiveExperimentId = this.Content.Job.Id;
+      if (this.Content != null && e.PropertyName == "Id") this.hiveExperimentPermissionListView.HiveExperimentId = this.Content.Job.Id;
     }
     #endregion
@@ -413,8 +413,8 @@
 
     private void tabControl_SelectedIndexChanged(object sender, EventArgs e) {
-      if (tabControl.SelectedTab == sharingTabPage) {
+      if (tabControl.SelectedTab == permissionTabPage) {
         if (!Content.IsSharable) {
           MessageBox.Show("Unable to load tab. You have insufficient access privileges.");
-          tabControl.SelectedTab = jobsTabPage;
+          tabControl.SelectedTab = tasksTabPage;
         }
       }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/HiveTasks/HiveTaskView.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/HiveTasks/HiveTaskView.cs	(revision 6768)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/HiveTasks/HiveTaskView.cs	(revision 6791)
@@ -93,13 +93,13 @@
           this.jobIdTextBox.Text = Content.Task.Id.ToString();
           this.dateCreatedTextBox.Text = Content.Task.DateCreated.HasValue ? Content.Task.DateCreated.ToString() : string.Empty;
-          this.priorityTextBox.Text = Content.Task.Priority.ToString();
-          this.coresNeededTextBox.Text = Content.Task.CoresNeeded.ToString();
-          this.memoryNeededTextBox.Text = Content.Task.MemoryNeeded.ToString();
+          this.priorityComboBox.Text = Content.Task.Priority.ToString();
+          this.coresNeededComboBox.Text = Content.Task.CoresNeeded.ToString();
+          this.memoryNeededComboBox.Text = Content.Task.MemoryNeeded.ToString();
         } else {
           this.jobIdTextBox.Text = string.Empty;
           this.dateCreatedTextBox.Text = string.Empty;
-          this.priorityTextBox.Text = string.Empty;
-          this.coresNeededTextBox.Text = string.Empty;
-          this.memoryNeededTextBox.Text = string.Empty;
+          this.priorityComboBox.Text = "3";
+          this.coresNeededComboBox.Text = "1";
+          this.memoryNeededComboBox.Text = "256";
         }
       }
@@ -113,7 +113,5 @@
     protected virtual void Job_ItemChanged(object sender, EventArgs e) {
       if (Content != null && Content.Task != null && Content.ItemTask.Item != null) {
-        optimizerItemView.Content = Content.ItemTask.Item;
-      } else {
-        optimizerItemView.Content = null;
+      } else {
       }
     }
@@ -196,12 +194,10 @@
       this.lastUpdatedTextBox.ReadOnly = true;
 
-      this.priorityTextBox.ReadOnly = this.ReadOnly;
-      this.coresNeededTextBox.ReadOnly = this.ReadOnly;
-      this.memoryNeededTextBox.ReadOnly = this.ReadOnly;
+      this.priorityComboBox.Enabled = !this.ReadOnly;
+      this.coresNeededComboBox.Enabled = !this.ReadOnly;
+      this.memoryNeededComboBox.Enabled = !this.ReadOnly;
       this.computeInParallelCheckBox.Enabled = !this.ReadOnly && this.Content != null && this.Content.ItemTask != null && this.Content.ItemTask.IsParallelizable;
 
       this.modifyItemButton.Enabled = (Content != null && Content.ItemTask.Item != null && (Content.Task.State == TaskState.Paused || Content.Task.State == TaskState.Offline || Content.Task.State == TaskState.Finished || Content.Task.State == TaskState.Failed || Content.Task.State == TaskState.Aborted));
-
-      optimizerItemView.ReadOnly = true;
     }
   }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/HiveTasks/HiveTaskView.designer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/HiveTasks/HiveTaskView.designer.cs	(revision 6768)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/HiveTasks/HiveTaskView.designer.cs	(revision 6791)
@@ -28,9 +28,12 @@
       this.detailsTabPage = new System.Windows.Forms.TabPage();
       this.splitContainer1 = new System.Windows.Forms.SplitContainer();
+      this.splitContainer2 = new System.Windows.Forms.SplitContainer();
+      this.groupBoxGenerel = new System.Windows.Forms.GroupBox();
+      this.jobIdLabel = new System.Windows.Forms.Label();
+      this.jobIdTextBox = new System.Windows.Forms.TextBox();
+      this.lastUpdatedLabel = new System.Windows.Forms.Label();
+      this.lastUpdatedTextBox = new System.Windows.Forms.TextBox();
+      this.priorityLabel = new System.Windows.Forms.Label();
       this.configurationGroupBox = new System.Windows.Forms.GroupBox();
-      this.priorityTextBox = new System.Windows.Forms.TextBox();
-      this.priorityLabel = new System.Windows.Forms.Label();
-      this.coresNeededTextBox = new System.Windows.Forms.TextBox();
-      this.memoryNeededTextBox = new System.Windows.Forms.TextBox();
       this.memoryNeededLabel = new System.Windows.Forms.Label();
       this.coresNeededLabel = new System.Windows.Forms.Label();
@@ -38,4 +41,6 @@
       this.computeInParallelCheckBox = new System.Windows.Forms.CheckBox();
       this.jobStatusGroupBox = new System.Windows.Forms.GroupBox();
+      this.commandTextBox = new System.Windows.Forms.TextBox();
+      this.commandLabel = new System.Windows.Forms.Label();
       this.stateTextBox = new System.Windows.Forms.TextBox();
       this.dateCalculatedLabel = new System.Windows.Forms.Label();
@@ -50,14 +55,9 @@
       this.dateFinishedLabel = new System.Windows.Forms.Label();
       this.exceptionTextBox = new System.Windows.Forms.TextBox();
-      this.optimizerGroupBox = new System.Windows.Forms.GroupBox();
       this.modifyItemButton = new System.Windows.Forms.Button();
-      this.lastUpdatedTextBox = new System.Windows.Forms.TextBox();
-      this.lastUpdatedLabel = new System.Windows.Forms.Label();
-      this.optimizerItemView = new HeuristicLab.Core.Views.ItemView();
-      this.jobIdLabel = new System.Windows.Forms.Label();
-      this.jobIdTextBox = new System.Windows.Forms.TextBox();
       this.tabControl = new System.Windows.Forms.TabControl();
-      this.commandTextBox = new System.Windows.Forms.TextBox();
-      this.commandLabel = new System.Windows.Forms.Label();
+      this.priorityComboBox = new System.Windows.Forms.ComboBox();
+      this.coresNeededComboBox = new System.Windows.Forms.ComboBox();
+      this.memoryNeededComboBox = new System.Windows.Forms.ComboBox();
       this.stateLogTabPage.SuspendLayout();
       this.detailsTabPage.SuspendLayout();
@@ -66,7 +66,11 @@
       this.splitContainer1.Panel2.SuspendLayout();
       this.splitContainer1.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer2)).BeginInit();
+      this.splitContainer2.Panel1.SuspendLayout();
+      this.splitContainer2.Panel2.SuspendLayout();
+      this.splitContainer2.SuspendLayout();
+      this.groupBoxGenerel.SuspendLayout();
       this.configurationGroupBox.SuspendLayout();
       this.jobStatusGroupBox.SuspendLayout();
-      this.optimizerGroupBox.SuspendLayout();
       this.tabControl.SuspendLayout();
       this.SuspendLayout();
@@ -84,12 +88,14 @@
       // stateLogViewHost
       // 
+      this.stateLogViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.stateLogViewHost.Caption = "View";
       this.stateLogViewHost.Content = null;
-      this.stateLogViewHost.Dock = System.Windows.Forms.DockStyle.Fill;
       this.stateLogViewHost.Enabled = false;
-      this.stateLogViewHost.Location = new System.Drawing.Point(0, 0);
+      this.stateLogViewHost.Location = new System.Drawing.Point(3, 3);
       this.stateLogViewHost.Name = "stateLogViewHost";
       this.stateLogViewHost.ReadOnly = false;
-      this.stateLogViewHost.Size = new System.Drawing.Size(563, 375);
+      this.stateLogViewHost.Size = new System.Drawing.Size(557, 407);
       this.stateLogViewHost.TabIndex = 0;
       this.stateLogViewHost.ViewsLabelVisible = true;
@@ -99,7 +105,5 @@
       // 
       this.detailsTabPage.Controls.Add(this.splitContainer1);
-      this.detailsTabPage.Controls.Add(this.optimizerGroupBox);
-      this.detailsTabPage.Controls.Add(this.jobIdLabel);
-      this.detailsTabPage.Controls.Add(this.jobIdTextBox);
+      this.detailsTabPage.Controls.Add(this.modifyItemButton);
       this.detailsTabPage.Location = new System.Drawing.Point(4, 22);
       this.detailsTabPage.Name = "detailsTabPage";
@@ -114,24 +118,101 @@
       this.splitContainer1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.splitContainer1.Location = new System.Drawing.Point(6, 110);
+      this.splitContainer1.Location = new System.Drawing.Point(6, 6);
       this.splitContainer1.Name = "splitContainer1";
       // 
       // splitContainer1.Panel1
       // 
-      this.splitContainer1.Panel1.Controls.Add(this.configurationGroupBox);
+      this.splitContainer1.Panel1.Controls.Add(this.splitContainer2);
       // 
       // splitContainer1.Panel2
       // 
       this.splitContainer1.Panel2.Controls.Add(this.jobStatusGroupBox);
-      this.splitContainer1.Size = new System.Drawing.Size(551, 178);
+      this.splitContainer1.Size = new System.Drawing.Size(551, 200);
       this.splitContainer1.SplitterDistance = 275;
-      this.splitContainer1.TabIndex = 33;
+      this.splitContainer1.TabIndex = 44;
+      // 
+      // splitContainer2
+      // 
+      this.splitContainer2.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.splitContainer2.Location = new System.Drawing.Point(0, 0);
+      this.splitContainer2.Name = "splitContainer2";
+      this.splitContainer2.Orientation = System.Windows.Forms.Orientation.Horizontal;
+      // 
+      // splitContainer2.Panel1
+      // 
+      this.splitContainer2.Panel1.Controls.Add(this.groupBoxGenerel);
+      // 
+      // splitContainer2.Panel2
+      // 
+      this.splitContainer2.Panel2.Controls.Add(this.configurationGroupBox);
+      this.splitContainer2.Size = new System.Drawing.Size(275, 200);
+      this.splitContainer2.SplitterDistance = 100;
+      this.splitContainer2.TabIndex = 0;
+      // 
+      // groupBoxGenerel
+      // 
+      this.groupBoxGenerel.Controls.Add(this.priorityComboBox);
+      this.groupBoxGenerel.Controls.Add(this.jobIdLabel);
+      this.groupBoxGenerel.Controls.Add(this.jobIdTextBox);
+      this.groupBoxGenerel.Controls.Add(this.lastUpdatedLabel);
+      this.groupBoxGenerel.Controls.Add(this.lastUpdatedTextBox);
+      this.groupBoxGenerel.Controls.Add(this.priorityLabel);
+      this.groupBoxGenerel.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.groupBoxGenerel.Location = new System.Drawing.Point(0, 0);
+      this.groupBoxGenerel.Name = "groupBoxGenerel";
+      this.groupBoxGenerel.Size = new System.Drawing.Size(275, 100);
+      this.groupBoxGenerel.TabIndex = 43;
+      this.groupBoxGenerel.TabStop = false;
+      this.groupBoxGenerel.Text = "Generel";
+      // 
+      // jobIdLabel
+      // 
+      this.jobIdLabel.AutoSize = true;
+      this.jobIdLabel.Location = new System.Drawing.Point(6, 16);
+      this.jobIdLabel.Name = "jobIdLabel";
+      this.jobIdLabel.Size = new System.Drawing.Size(19, 13);
+      this.jobIdLabel.TabIndex = 25;
+      this.jobIdLabel.Text = "Id:";
+      // 
+      // jobIdTextBox
+      // 
+      this.jobIdTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.jobIdTextBox.Location = new System.Drawing.Point(87, 13);
+      this.jobIdTextBox.Name = "jobIdTextBox";
+      this.jobIdTextBox.Size = new System.Drawing.Size(182, 20);
+      this.jobIdTextBox.TabIndex = 26;
+      // 
+      // lastUpdatedLabel
+      // 
+      this.lastUpdatedLabel.AutoSize = true;
+      this.lastUpdatedLabel.Location = new System.Drawing.Point(6, 60);
+      this.lastUpdatedLabel.Name = "lastUpdatedLabel";
+      this.lastUpdatedLabel.Size = new System.Drawing.Size(75, 13);
+      this.lastUpdatedLabel.TabIndex = 1;
+      this.lastUpdatedLabel.Text = "Last changed:";
+      // 
+      // lastUpdatedTextBox
+      // 
+      this.lastUpdatedTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.lastUpdatedTextBox.Location = new System.Drawing.Point(87, 57);
+      this.lastUpdatedTextBox.Name = "lastUpdatedTextBox";
+      this.lastUpdatedTextBox.Size = new System.Drawing.Size(182, 20);
+      this.lastUpdatedTextBox.TabIndex = 2;
+      // 
+      // priorityLabel
+      // 
+      this.priorityLabel.AutoSize = true;
+      this.priorityLabel.Location = new System.Drawing.Point(6, 38);
+      this.priorityLabel.Name = "priorityLabel";
+      this.priorityLabel.Size = new System.Drawing.Size(41, 13);
+      this.priorityLabel.TabIndex = 42;
+      this.priorityLabel.Text = "Priority:";
       // 
       // configurationGroupBox
       // 
-      this.configurationGroupBox.Controls.Add(this.priorityTextBox);
-      this.configurationGroupBox.Controls.Add(this.priorityLabel);
-      this.configurationGroupBox.Controls.Add(this.coresNeededTextBox);
-      this.configurationGroupBox.Controls.Add(this.memoryNeededTextBox);
+      this.configurationGroupBox.Controls.Add(this.memoryNeededComboBox);
+      this.configurationGroupBox.Controls.Add(this.coresNeededComboBox);
       this.configurationGroupBox.Controls.Add(this.memoryNeededLabel);
       this.configurationGroupBox.Controls.Add(this.coresNeededLabel);
@@ -141,76 +222,40 @@
       this.configurationGroupBox.Location = new System.Drawing.Point(0, 0);
       this.configurationGroupBox.Name = "configurationGroupBox";
-      this.configurationGroupBox.Size = new System.Drawing.Size(275, 178);
+      this.configurationGroupBox.Size = new System.Drawing.Size(275, 96);
       this.configurationGroupBox.TabIndex = 27;
       this.configurationGroupBox.TabStop = false;
-      this.configurationGroupBox.Text = "Configuration";
-      // 
-      // priorityTextBox
-      // 
-      this.priorityTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.priorityTextBox.Location = new System.Drawing.Point(108, 66);
-      this.priorityTextBox.Name = "priorityTextBox";
-      this.priorityTextBox.Size = new System.Drawing.Size(161, 20);
-      this.priorityTextBox.TabIndex = 41;
-      // 
-      // priorityLabel
-      // 
-      this.priorityLabel.AutoSize = true;
-      this.priorityLabel.Location = new System.Drawing.Point(7, 66);
-      this.priorityLabel.Name = "priorityLabel";
-      this.priorityLabel.Size = new System.Drawing.Size(41, 13);
-      this.priorityLabel.TabIndex = 42;
-      this.priorityLabel.Text = "Priority:";
-      // 
-      // coresNeededTextBox
-      // 
-      this.coresNeededTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.coresNeededTextBox.Location = new System.Drawing.Point(108, 20);
-      this.coresNeededTextBox.Name = "coresNeededTextBox";
-      this.coresNeededTextBox.Size = new System.Drawing.Size(161, 20);
-      this.coresNeededTextBox.TabIndex = 37;
-      // 
-      // memoryNeededTextBox
-      // 
-      this.memoryNeededTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.memoryNeededTextBox.Location = new System.Drawing.Point(108, 42);
-      this.memoryNeededTextBox.Name = "memoryNeededTextBox";
-      this.memoryNeededTextBox.Size = new System.Drawing.Size(161, 20);
-      this.memoryNeededTextBox.TabIndex = 38;
+      this.configurationGroupBox.Text = "Resource demands";
       // 
       // memoryNeededLabel
       // 
       this.memoryNeededLabel.AutoSize = true;
-      this.memoryNeededLabel.Location = new System.Drawing.Point(7, 42);
+      this.memoryNeededLabel.Location = new System.Drawing.Point(6, 38);
       this.memoryNeededLabel.Name = "memoryNeededLabel";
-      this.memoryNeededLabel.Size = new System.Drawing.Size(85, 13);
+      this.memoryNeededLabel.Size = new System.Drawing.Size(122, 13);
       this.memoryNeededLabel.TabIndex = 40;
-      this.memoryNeededLabel.Text = "MemoryNeeded:";
+      this.memoryNeededLabel.Text = "Memory needed (in MB):";
       // 
       // coresNeededLabel
       // 
       this.coresNeededLabel.AutoSize = true;
-      this.coresNeededLabel.Location = new System.Drawing.Point(7, 20);
+      this.coresNeededLabel.Location = new System.Drawing.Point(6, 16);
       this.coresNeededLabel.Name = "coresNeededLabel";
-      this.coresNeededLabel.Size = new System.Drawing.Size(75, 13);
+      this.coresNeededLabel.Size = new System.Drawing.Size(101, 13);
       this.coresNeededLabel.TabIndex = 39;
-      this.coresNeededLabel.Text = "CoresNeeded:";
+      this.coresNeededLabel.Text = "Nr. of cores needed";
       // 
       // computeInParallelLabel
       // 
       this.computeInParallelLabel.AutoSize = true;
-      this.computeInParallelLabel.Location = new System.Drawing.Point(7, 93);
+      this.computeInParallelLabel.Location = new System.Drawing.Point(6, 60);
       this.computeInParallelLabel.Name = "computeInParallelLabel";
-      this.computeInParallelLabel.Size = new System.Drawing.Size(95, 13);
+      this.computeInParallelLabel.Size = new System.Drawing.Size(122, 13);
       this.computeInParallelLabel.TabIndex = 36;
-      this.computeInParallelLabel.Text = "ComputeInParallel:";
+      this.computeInParallelLabel.Text = "Compute task in parallel:";
       // 
       // computeInParallelCheckBox
       // 
       this.computeInParallelCheckBox.AutoSize = true;
-      this.computeInParallelCheckBox.Location = new System.Drawing.Point(108, 92);
+      this.computeInParallelCheckBox.Location = new System.Drawing.Point(135, 61);
       this.computeInParallelCheckBox.Name = "computeInParallelCheckBox";
       this.computeInParallelCheckBox.Size = new System.Drawing.Size(15, 14);
@@ -238,8 +283,26 @@
       this.jobStatusGroupBox.Location = new System.Drawing.Point(0, 0);
       this.jobStatusGroupBox.Name = "jobStatusGroupBox";
-      this.jobStatusGroupBox.Size = new System.Drawing.Size(272, 178);
+      this.jobStatusGroupBox.Size = new System.Drawing.Size(272, 200);
       this.jobStatusGroupBox.TabIndex = 24;
       this.jobStatusGroupBox.TabStop = false;
-      this.jobStatusGroupBox.Text = "Task Status";
+      this.jobStatusGroupBox.Text = "Task status";
+      // 
+      // commandTextBox
+      // 
+      this.commandTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.commandTextBox.Location = new System.Drawing.Point(95, 41);
+      this.commandTextBox.Name = "commandTextBox";
+      this.commandTextBox.Size = new System.Drawing.Size(171, 20);
+      this.commandTextBox.TabIndex = 24;
+      // 
+      // commandLabel
+      // 
+      this.commandLabel.AutoSize = true;
+      this.commandLabel.Location = new System.Drawing.Point(7, 41);
+      this.commandLabel.Name = "commandLabel";
+      this.commandLabel.Size = new System.Drawing.Size(57, 13);
+      this.commandLabel.TabIndex = 25;
+      this.commandLabel.Text = "Command:";
       // 
       // stateTextBox
@@ -257,7 +320,7 @@
       this.dateCalculatedLabel.Location = new System.Drawing.Point(7, 108);
       this.dateCalculatedLabel.Name = "dateCalculatedLabel";
-      this.dateCalculatedLabel.Size = new System.Drawing.Size(83, 13);
+      this.dateCalculatedLabel.Size = new System.Drawing.Size(85, 13);
       this.dateCalculatedLabel.TabIndex = 23;
-      this.dateCalculatedLabel.Text = "DateCalculated:";
+      this.dateCalculatedLabel.Text = "Date calculated:";
       // 
       // stateLabel
@@ -311,7 +374,7 @@
       this.executionTimeLabel.Location = new System.Drawing.Point(7, 64);
       this.executionTimeLabel.Name = "executionTimeLabel";
-      this.executionTimeLabel.Size = new System.Drawing.Size(80, 13);
+      this.executionTimeLabel.Size = new System.Drawing.Size(79, 13);
       this.executionTimeLabel.TabIndex = 13;
-      this.executionTimeLabel.Text = "ExecutionTime:";
+      this.executionTimeLabel.Text = "Execution time:";
       // 
       // exceptionLabel
@@ -329,7 +392,7 @@
       this.dateCreatedLabel.Location = new System.Drawing.Point(7, 86);
       this.dateCreatedLabel.Name = "dateCreatedLabel";
-      this.dateCreatedLabel.Size = new System.Drawing.Size(70, 13);
+      this.dateCreatedLabel.Size = new System.Drawing.Size(72, 13);
       this.dateCreatedLabel.TabIndex = 14;
-      this.dateCreatedLabel.Text = "DateCreated:";
+      this.dateCreatedLabel.Text = "Date created:";
       // 
       // dateFinishedLabel
@@ -340,5 +403,5 @@
       this.dateFinishedLabel.Size = new System.Drawing.Size(72, 13);
       this.dateFinishedLabel.TabIndex = 15;
-      this.dateFinishedLabel.Text = "DateFinished:";
+      this.dateFinishedLabel.Text = "Date finished:";
       // 
       // exceptionTextBox
@@ -352,78 +415,15 @@
       this.exceptionTextBox.DoubleClick += new System.EventHandler(this.exceptionTextBox_DoubleClick);
       // 
-      // optimizerGroupBox
-      // 
-      this.optimizerGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.optimizerGroupBox.Controls.Add(this.modifyItemButton);
-      this.optimizerGroupBox.Controls.Add(this.lastUpdatedTextBox);
-      this.optimizerGroupBox.Controls.Add(this.lastUpdatedLabel);
-      this.optimizerGroupBox.Controls.Add(this.optimizerItemView);
-      this.optimizerGroupBox.Location = new System.Drawing.Point(6, 29);
-      this.optimizerGroupBox.Name = "optimizerGroupBox";
-      this.optimizerGroupBox.Size = new System.Drawing.Size(551, 75);
-      this.optimizerGroupBox.TabIndex = 28;
-      this.optimizerGroupBox.TabStop = false;
-      this.optimizerGroupBox.Text = "JobItem";
-      // 
       // modifyItemButton
       // 
       this.modifyItemButton.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.modifyItemButton.Location = new System.Drawing.Point(78, 45);
+      this.modifyItemButton.Location = new System.Drawing.Point(3, 224);
       this.modifyItemButton.Name = "modifyItemButton";
-      this.modifyItemButton.Size = new System.Drawing.Size(467, 23);
+      this.modifyItemButton.Size = new System.Drawing.Size(551, 23);
       this.modifyItemButton.TabIndex = 3;
       this.modifyItemButton.Text = "Modify Item";
       this.modifyItemButton.UseVisualStyleBackColor = true;
       this.modifyItemButton.Click += new System.EventHandler(this.modifyItemButton_Click);
-      // 
-      // lastUpdatedTextBox
-      // 
-      this.lastUpdatedTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.lastUpdatedTextBox.Location = new System.Drawing.Point(78, 19);
-      this.lastUpdatedTextBox.Name = "lastUpdatedTextBox";
-      this.lastUpdatedTextBox.Size = new System.Drawing.Size(467, 20);
-      this.lastUpdatedTextBox.TabIndex = 2;
-      // 
-      // lastUpdatedLabel
-      // 
-      this.lastUpdatedLabel.AutoSize = true;
-      this.lastUpdatedLabel.Location = new System.Drawing.Point(3, 22);
-      this.lastUpdatedLabel.Name = "lastUpdatedLabel";
-      this.lastUpdatedLabel.Size = new System.Drawing.Size(71, 13);
-      this.lastUpdatedLabel.TabIndex = 1;
-      this.lastUpdatedLabel.Text = "LastUpdated:";
-      // 
-      // optimizerItemView
-      // 
-      this.optimizerItemView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.optimizerItemView.Caption = "NamedItem View";
-      this.optimizerItemView.Content = null;
-      this.optimizerItemView.Location = new System.Drawing.Point(6, 20);
-      this.optimizerItemView.Name = "optimizerItemView";
-      this.optimizerItemView.ReadOnly = false;
-      this.optimizerItemView.Size = new System.Drawing.Size(539, 51);
-      this.optimizerItemView.TabIndex = 0;
-      // 
-      // jobIdLabel
-      // 
-      this.jobIdLabel.AutoSize = true;
-      this.jobIdLabel.Location = new System.Drawing.Point(3, 6);
-      this.jobIdLabel.Name = "jobIdLabel";
-      this.jobIdLabel.Size = new System.Drawing.Size(36, 13);
-      this.jobIdLabel.TabIndex = 25;
-      this.jobIdLabel.Text = "TaskId:";
-      // 
-      // jobIdTextBox
-      // 
-      this.jobIdTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.jobIdTextBox.Location = new System.Drawing.Point(91, 6);
-      this.jobIdTextBox.Name = "jobIdTextBox";
-      this.jobIdTextBox.Size = new System.Drawing.Size(466, 20);
-      this.jobIdTextBox.TabIndex = 26;
       // 
       // tabControl
@@ -440,21 +440,54 @@
       this.tabControl.TabIndex = 25;
       // 
-      // commandTextBox
-      // 
-      this.commandTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.commandTextBox.Location = new System.Drawing.Point(95, 41);
-      this.commandTextBox.Name = "commandTextBox";
-      this.commandTextBox.Size = new System.Drawing.Size(171, 20);
-      this.commandTextBox.TabIndex = 24;
-      // 
-      // commandLabel
-      // 
-      this.commandLabel.AutoSize = true;
-      this.commandLabel.Location = new System.Drawing.Point(7, 41);
-      this.commandLabel.Name = "commandLabel";
-      this.commandLabel.Size = new System.Drawing.Size(57, 13);
-      this.commandLabel.TabIndex = 25;
-      this.commandLabel.Text = "Command:";
+      // priorityComboBox
+      // 
+      this.priorityComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.priorityComboBox.FormattingEnabled = true;
+      this.priorityComboBox.Items.AddRange(new object[] {
+            "1",
+            "2",
+            "3",
+            "4",
+            "5"});
+      this.priorityComboBox.Location = new System.Drawing.Point(87, 35);
+      this.priorityComboBox.Name = "priorityComboBox";
+      this.priorityComboBox.Size = new System.Drawing.Size(182, 21);
+      this.priorityComboBox.TabIndex = 43;
+      // 
+      // coresNeededComboBox
+      // 
+      this.coresNeededComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.coresNeededComboBox.FormattingEnabled = true;
+      this.coresNeededComboBox.Items.AddRange(new object[] {
+            "1",
+            "2",
+            "3",
+            "4",
+            "5",
+            "6",
+            "7",
+            "8"});
+      this.coresNeededComboBox.Location = new System.Drawing.Point(134, 13);
+      this.coresNeededComboBox.Name = "coresNeededComboBox";
+      this.coresNeededComboBox.Size = new System.Drawing.Size(134, 21);
+      this.coresNeededComboBox.TabIndex = 41;
+      // 
+      // memoryNeededComboBox
+      // 
+      this.memoryNeededComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.memoryNeededComboBox.FormattingEnabled = true;
+      this.memoryNeededComboBox.Items.AddRange(new object[] {
+            "128",
+            "256",
+            "512",
+            "1024",
+            "2048"});
+      this.memoryNeededComboBox.Location = new System.Drawing.Point(134, 35);
+      this.memoryNeededComboBox.Name = "memoryNeededComboBox";
+      this.memoryNeededComboBox.Size = new System.Drawing.Size(135, 21);
+      this.memoryNeededComboBox.TabIndex = 42;
       // 
       // HiveTaskView
@@ -467,15 +500,18 @@
       this.stateLogTabPage.ResumeLayout(false);
       this.detailsTabPage.ResumeLayout(false);
-      this.detailsTabPage.PerformLayout();
       this.splitContainer1.Panel1.ResumeLayout(false);
       this.splitContainer1.Panel2.ResumeLayout(false);
       ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).EndInit();
       this.splitContainer1.ResumeLayout(false);
+      this.splitContainer2.Panel1.ResumeLayout(false);
+      this.splitContainer2.Panel2.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer2)).EndInit();
+      this.splitContainer2.ResumeLayout(false);
+      this.groupBoxGenerel.ResumeLayout(false);
+      this.groupBoxGenerel.PerformLayout();
       this.configurationGroupBox.ResumeLayout(false);
       this.configurationGroupBox.PerformLayout();
       this.jobStatusGroupBox.ResumeLayout(false);
       this.jobStatusGroupBox.PerformLayout();
-      this.optimizerGroupBox.ResumeLayout(false);
-      this.optimizerGroupBox.PerformLayout();
       this.tabControl.ResumeLayout(false);
       this.ResumeLayout(false);
@@ -488,15 +524,5 @@
     protected MainForm.WindowsForms.ViewHost stateLogViewHost;
     protected System.Windows.Forms.TabPage detailsTabPage;
-    protected System.Windows.Forms.GroupBox optimizerGroupBox;
-    protected Core.Views.ItemView optimizerItemView;
-    protected System.Windows.Forms.GroupBox configurationGroupBox;
-    protected System.Windows.Forms.TextBox priorityTextBox;
     protected System.Windows.Forms.Label priorityLabel;
-    protected System.Windows.Forms.TextBox coresNeededTextBox;
-    protected System.Windows.Forms.TextBox memoryNeededTextBox;
-    protected System.Windows.Forms.Label memoryNeededLabel;
-    protected System.Windows.Forms.Label coresNeededLabel;
-    protected System.Windows.Forms.Label computeInParallelLabel;
-    protected System.Windows.Forms.CheckBox computeInParallelCheckBox;
     protected System.Windows.Forms.Label jobIdLabel;
     protected System.Windows.Forms.TextBox jobIdTextBox;
@@ -511,14 +537,24 @@
     protected System.Windows.Forms.TextBox exceptionTextBox;
     protected System.Windows.Forms.TabControl tabControl;
-    protected System.Windows.Forms.Button modifyItemButton;
-    protected System.Windows.Forms.TextBox lastUpdatedTextBox;
-    protected System.Windows.Forms.Label lastUpdatedLabel;
     protected System.Windows.Forms.Label dateCalculatedLabel;
     protected System.Windows.Forms.TextBox dateCalculatedText;
     protected System.Windows.Forms.TextBox dateCreatedTextBox;
     protected System.Windows.Forms.Label dateCreatedLabel;
-    protected System.Windows.Forms.SplitContainer splitContainer1;
     protected System.Windows.Forms.TextBox commandTextBox;
     protected System.Windows.Forms.Label commandLabel;
+    protected System.Windows.Forms.Button modifyItemButton;
+    protected System.Windows.Forms.TextBox lastUpdatedTextBox;
+    protected System.Windows.Forms.Label lastUpdatedLabel;
+    private System.Windows.Forms.GroupBox groupBoxGenerel;
+    protected System.Windows.Forms.GroupBox configurationGroupBox;
+    protected System.Windows.Forms.Label memoryNeededLabel;
+    protected System.Windows.Forms.Label coresNeededLabel;
+    protected System.Windows.Forms.Label computeInParallelLabel;
+    protected System.Windows.Forms.CheckBox computeInParallelCheckBox;
+    private System.Windows.Forms.SplitContainer splitContainer1;
+    private System.Windows.Forms.SplitContainer splitContainer2;
+    protected System.Windows.Forms.ComboBox priorityComboBox;
+    private System.Windows.Forms.ComboBox coresNeededComboBox;
+    protected System.Windows.Forms.ComboBox memoryNeededComboBox;
 
   }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/HiveTasks/OptimizerHiveTaskView.designer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/HiveTasks/OptimizerHiveTaskView.designer.cs	(revision 6768)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/HiveTasks/OptimizerHiveTaskView.designer.cs	(revision 6791)
@@ -32,12 +32,7 @@
       this.stateLogTabPage.SuspendLayout();
       this.detailsTabPage.SuspendLayout();
-      this.optimizerGroupBox.SuspendLayout();
       this.configurationGroupBox.SuspendLayout();
       this.jobStatusGroupBox.SuspendLayout();
       this.tabControl.SuspendLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).BeginInit();
-      this.splitContainer1.Panel1.SuspendLayout();
-      this.splitContainer1.Panel2.SuspendLayout();
-      this.splitContainer1.SuspendLayout();
       this.runsTabPage.SuspendLayout();
       this.SuspendLayout();
@@ -48,8 +43,4 @@
       this.detailsTabPage.Controls.Add(this.pauseButton);
       this.detailsTabPage.Controls.Add(this.stopButton);
-      this.detailsTabPage.Controls.SetChildIndex(this.jobIdTextBox, 0);
-      this.detailsTabPage.Controls.SetChildIndex(this.jobIdLabel, 0);
-      this.detailsTabPage.Controls.SetChildIndex(this.optimizerGroupBox, 0);
-      this.detailsTabPage.Controls.SetChildIndex(this.splitContainer1, 0);
       this.detailsTabPage.Controls.SetChildIndex(this.stopButton, 0);
       this.detailsTabPage.Controls.SetChildIndex(this.pauseButton, 0);
@@ -66,7 +57,4 @@
       // 
       this.modifyItemButton.Text = "Modify Optimizer";
-      // 
-      // splitContainer1
-      // 
       // 
       // restartButton
@@ -136,6 +124,4 @@
       this.detailsTabPage.ResumeLayout(false);
       this.detailsTabPage.PerformLayout();
-      this.optimizerGroupBox.ResumeLayout(false);
-      this.optimizerGroupBox.PerformLayout();
       this.configurationGroupBox.ResumeLayout(false);
       this.configurationGroupBox.PerformLayout();
@@ -143,8 +129,4 @@
       this.jobStatusGroupBox.PerformLayout();
       this.tabControl.ResumeLayout(false);
-      this.splitContainer1.Panel1.ResumeLayout(false);
-      this.splitContainer1.Panel2.ResumeLayout(false);
-      ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).EndInit();
-      this.splitContainer1.ResumeLayout(false);
       this.runsTabPage.ResumeLayout(false);
       this.ResumeLayout(false);
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/StateLog/StateLogGanttChartListView.designer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/StateLog/StateLogGanttChartListView.designer.cs	(revision 6768)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/StateLog/StateLogGanttChartListView.designer.cs	(revision 6791)
@@ -32,7 +32,7 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.ganttChart.Location = new System.Drawing.Point(0, 0);
+      this.ganttChart.Location = new System.Drawing.Point(3, 3);
       this.ganttChart.Name = "ganttChart";
-      this.ganttChart.Size = new System.Drawing.Size(493, 293);
+      this.ganttChart.Size = new System.Drawing.Size(487, 287);
       this.ganttChart.TabIndex = 0;
       // 
